# $Revision: 1.53 $, $Date: 2004/07/17 22:36:48 $
#
%bcond_without	gtkspell	# without gtkspell support
%bcond_with	applet		# enable applet support
#
Summary:	GnomeICU is a clone of Mirabilis' popular ICQ written with GTK
Summary(fr):	Programme pour la communication sur Internet
Summary(pl):	GnomeICU - klon Mirabilis ICQ napisany z uyciem GTK
Name:		gnomeicu
Version:	0.99.5
Release:	1
License:	GPL
Vendor:		Jeremy Wise <jwise@pathwaynet.com>
Group:		Applications/Communications
Source0:	http://dl.sourceforge.net/gnomeicu/%{name}-%{version}.tar.bz2
# Source0-md5:	59ff902171a14ad37896f6661ddedb7a
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-locale-names.patch
URL:		http://gnomeicu.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gdbm-devel
BuildRequires:	gettext-devel
%{?with_applet:BuildRequires:	gnome-panel-devel >= 2.0.0}
BuildRequires:	gtk+2-devel >= 1:2.2.0
%{?with_gtkspell:BuildRequires: gtkspell-devel >= 2.0.4}
BuildRequires:	libgnomeui-devel >= 2.0.0
BuildRequires:	libxml2-devel >= 2.4.7
BuildRequires:	pkgconfig
BuildRequires:	scrollkeeper >= 0.3.5
Requires(post):	GConf2
Requires(post,postun):	scrollkeeper >= 0.3.5
Requires:	gtk+2 >= 1:2.2.0
Requires:	libxml2 >= 2.4.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GnomeICU is a clone of Mirabilis' popular ICQ written with GTK. The
original source was taken from Matt Smith's mICQ. This is ment as a
replacement for the JavaICQ, which is slow and buggy.

%description -l fr
gnomeICU est un programme de communication par Internet qui utilise le
protocole d'ICQ.

%description -l pl
GnomeICU to klon Mirabilis ICQ napisany z uyciem GTK. Oryginalne
rda pochodz z mICQ Matta Smitha. Ten program ma by zamiennikiem
JavaICQ, ktre jest wolne i ma bdy.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

mv -f po/{no,nb}.po

%build
glib-gettextize --copy --force
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
# seems as if xss support is broken on alpha :-(
%configure \
%ifarch alpha
	--without-xss \
%endif
	%{?with_applet:--enable-applet} \
	%{?with_gtkspell:--enable-gtkspell}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/bin/scrollkeeper-update
%gconf_schema_install

%postun -p /usr/bin/scrollkeeper-update

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog HACKING MAINTAINERS NEWS README README.SOCKS TODO
%attr(755,root,root) %{_bindir}/*
%{_sysconfdir}/gconf/schemas/*
%{_sysconfdir}/sound/events/*
%{_datadir}/sounds/gnomeicu
%{_datadir}/gnomeicu
%{_omf_dest_dir}/%{name}
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnomeicu.spec,v $
Revision 1.53  2004/07/17 22:36:48  qboosh
- added locale-names patch, change no->nb
- fixed/updated BRs, added applet bcond

Revision 1.52  2004/07/17 19:03:52  kali
- updated to 0.99.5
- added desktop patch

Revision 1.51  2003/12/25 00:58:57  ankry
- rel. 3

Revision 1.50  2003/09/02 15:14:14  qboosh
- removed default _sysconfdir definition, other cosmetics

Revision 1.49  2003/06/27 20:22:18  blues
- more macros - inpired by kloczek

Revision 1.48  2003/06/27 12:44:43  misi3k
- std sf url

Revision 1.47  2003/06/27 12:01:36  qboosh
- standardized Source0 URL, use _gettextize macro

Revision 1.46  2003/05/26 16:25:03  malekith
- massive attack: adding Source-md5

Revision 1.45  2003/05/25 05:48:14  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.44  2003/01/18 22:50:06  juandon
- removed two lines with define

Revision 1.43  2002/10/09 13:14:27  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.42  2002/05/21 23:13:18  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.41  2002/04/25 16:26:29  arturs
fixed a small typo

Revision 1.40  2002/03/24 23:28:18  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.39  2002/02/23 02:17:46  kloczek
- adapterized.

Revision 1.38  2002/02/22 23:28:59  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.37  2002/01/18 02:13:09  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.36  2001/11/29 11:23:31  qboosh
- pl translations

Revision 1.35  2001/03/03 21:33:08  kloczek
- updated to 0.96.1.

Revision 1.34  2001/02/27 10:47:31  wiget
add missing directory

Revision 1.33  2001/02/26 08:32:35  kloczek
- updated to 0.96.

Revision 1.32  2001/02/17 01:18:09  michuz
- release 2
- %%{_applnk}/Network/ICQ changed to Communications

Revision 1.31  2001/02/13 16:23:17  kloczek
- again fixed %files.

Revision 1.30  2001/02/13 16:05:23  kloczek
- updated %files list.

Revision 1.29  2001/02/13 15:46:10  kloczek
- updated to 0.95.3.

Revision 1.28  2001/02/13 15:38:24  kloczek
- regenerate all am/ac files and added automake, autoconf to BuildRequires.

Revision 1.27  2001/02/13 15:27:36  kloczek
- updated to 0.95.1,
- new Sourc url and URL.

Revision 1.26  2001/02/02 17:50:34  kloczek
- perl -pi -e "s/^\%\{_datadir\}\/pixmaps/\%\{_pixmapsdir\}/"

Revision 1.25  2001/01/03 16:21:07  kloczek
- do not list twice %doc files (first on end %install during compres and
  second in %files).

Revision 1.24  2001/01/03 00:50:14  michuz
- release 2
- cleanups in %%{_sysconfdir}

Revision 1.23  2000/10/31 12:21:12  michuz
- updated to 0.94.1

Revision 1.22  2000/10/27 10:07:19  kloczek
- release 4: rebuild against gnome-libs linked with db3.

Revision 1.21  2000/09/30 21:21:02  kloczek
- release 3: added using rpm new automation.

Revision 1.20  2000/06/09 07:54:41  kloczek
- more %%{__make} macros.

Revision 1.19  2000/06/09 07:22:52  kloczek
- added using %%{__make} macro.

Revision 1.18  2000/05/30 14:28:28  michuz
- release 2
- %%applnkdir changed

Revision 1.17  2000/05/18 23:46:01  kloczek
- spec adapterized.

Revision 1.16  2000/05/09 08:52:11  kloczek
- fixed path to gnomeicu desktop file (s/Network/Networking/).

Revision 1.15  2000/05/09 08:32:12  kloczek
- updated to 0.93,
- added using %%{_applnkdir} macro.

Revision 1.14  2000/04/26 06:24:58  wiget
BuildRequires: gnome-core-devel >= 1.1.5

Revision 1.13  2000/04/26 06:01:57  wiget
compile with status menu

Revision 1.12  2000/04/03 21:57:29  kloczek
- updated to 0.92,
- include %{_datadir}/sounds/gnomeicu directory to package.

Revision 1.11  2000/04/01 11:14:40  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.10  2000/03/28 16:54:20  baggins
- translated kloczkish into english

Revision 1.9  2000/03/26 14:31:38  kloczek
- release 3,
- added fr translation.

Revision 1.8  2000/03/23 12:41:15  wiget
BuildRequires: gnome-core-devel

Revision 1.7  2000/01/28 02:42:49  kloczek
- release 2,
- recompiled in new enviroment with libesd not depends on liasound.

Revision 1.6  2000/01/13 03:34:42  kloczek
- updated to 0.90.

Revision 1.5  1999/12/28 22:07:18  kloczek
- move hashed tekst in proper place.

Revision 1.4  1999/12/28 22:01:16  kloczek
- added Vendor field,
- added "BuildRequires: gettext-devel",
- added Group(pl),
- added passing LDFLAGS="-s" to ./configure enviroment in %build (now
  binaries are stripped),
- some cosmetisc.

Revision 1.3  1999/12/28 21:35:45  wiget
- fix .mo files installation

Revision 1.2  1999/12/28 21:40:19  wiget
- adapterized
- rewrite for PLD style

* Fri Sep 10 1999 Herbert Valerio Riedel <hvr@gnu.org>
- added support for SMP builds

* Sun Jul 25 1999 Herbert Valerio Riedel <hvr@gnu.org>
- added online documentation
- added locale files

* Sat Jul 10 1999 Herbert Valerio Riedel <hvr@gnu.org>
- no need to define %{name} and %{version} explicitly (thanks to
  Graham Cole <dybbuk@earthlink.net> for this hint)

* Tue Jun 29 1999 Herbert Valerio Riedel <hvr@gnu.org>
- first try at an official RPM
